{% extends "base/base.html" %}

{% block content %}

    <h1 class="page-header">
        {% if unit.get_current_battle %}
            <a href="{{ unit.get_current_battle.get_absolute_url }}" class="btn btn-danger">In battle</a>
        {% endif %}
        {{ unit.get_long_html_descriptor|safe }}
        {% if unit.owner_character == request.hero %}
            {% include 'unit/rename_modal_include.html' with unit=unit %}
        {% endif %}
    </h1>

    <div class="row">
        <div class="col-sm-9">
            <table class="table table-striped table-hover">
                <tbody>
                    <tr>
                        <td>Owner</td>
                        <td>
                            {% if unit.owner_character %}
                                {{ unit.owner_character.get_html_link|safe }}
                            {% else %}
                                {{ unit.get_violence_monopoly.get_html_link|safe }}
                            {% endif %}
                        </td>
                    </tr>
                    <tr>
                        <td>Soldiers</td>
                        <td>
                            {{ unit.soldier.all|length }}
                            {{ unit.get_type_display|capfirst }}
                            ({{ unit.get_recruitment_type_display }})
                        </td>
                    </tr>
                    <tr>
                        <td>Status</td>
                        <td>
                            {% if unit.owner_character == request.hero %}
                                <form class="form-inline" role="form" method="post" action="{% url 'unit:status_change' unit.id 'not mobilized' %}" style="display: inline">
                                    {% csrf_token %}
                                    <button
                                        type="submit"
                                        class="btn btn-sm
                                        {% if unit.status == 'not mobilized' %}disabled btn-success
                                        {% elif unit.get_current_battle %}disabled btn-default
                                        {% else %}btn-default
                                        {% endif %}">
                                        Not mobilized
                                    </button>
                                </form>
                                <form class="form-inline" role="form" method="post" action="{% url 'unit:status_change' unit.id 'standing' %}" style="display: inline">
                                    {% csrf_token %}
                                    <button
                                        type="submit"
                                        class="btn btn-sm
                                        {% if unit.status == 'standing' %}disabled btn-success
                                        {% elif unit.get_current_battle %}disabled btn-default
                                        {% else %}btn-default
                                        {% endif %}">
                                        Standing
                                    </button>
                                </form>
                                <form class="form-inline" role="form" method="post" action="{% url 'unit:status_change' unit.id 'following' %}" style="display: inline">
                                    {% csrf_token %}
                                    <button
                                        type="submit"
                                        class="btn btn-sm
                                        {% if unit.status == 'following' %}disabled btn-success
                                        {% elif unit.get_current_battle %}disabled btn-default
                                        {% else %}btn-default
                                        {% endif %}">
                                        Following
                                    </button>
                                </form>

                                {% if unit.get_current_battle %}
                                    Can't change status when in a battle
                                {% endif %}
                            {% else %}
                                {{ unit.get_status_display|capfirst }}
                            {% endif %}
                        </td>
                    </tr>
                    {% if unit.owner_character %}
                        <tr>
                            <td>Debt</td>
                            <td>
                                {% if unit.owner_character == request.hero %}
                                    Payment due: {{ unit.owners_debt }} coins
                                {% endif %}
                                {% include 'unit/pay_debt_modal_include.html' with unit=unit %}
                            </td>
                        </tr>
                    {% endif %}
                    <tr>
                        <td>Location</td>
                        <td>
                            {{ unit.location }} ({{ unit.location.tile.get_html_link|safe }},
                            {{ unit.location.tile.controlled_by.get_html_link|safe }}
                            )
                        </td>
                    </tr>
                    <tr>
                        <td>Origin</td>
                        <td>
                            {{ unit.origin }} ({{ unit.origin.tile.get_html_link|safe }},
                            {{ unit.origin.tile.controlled_by.get_html_link|safe }}
                            )
                        </td>
                    </tr>
                    {% if unit.owner_character == request.hero %}
                        <tr>
                            <td>Average skill</td>
                            <td>{{ unit.average_fighting_skill }}%</td>
                        </tr>
                        <tr>
                            <td>Battle settings</td>
                            <td>
                                {{ unit.get_battle_line_display|capfirst }},
                                {{ unit.get_battle_side_pos_display }}.
                                Orders: {{ unit.default_battle_orders.what }}
                                {% include 'unit/battle_settings_modal_include.html' with unit=unit %}
                            </td>
                        </tr>
                    {% endif %}
                </tbody>
            </table>
        </div>

        <div class="col-sm-3">
            {% if unit.owner_character == request.hero %}
                <h4>Actions</h4>

                <p>
                    <form class="form-inline" role="form" method="post" action="{% url 'unit:disband' unit.id %}">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure?')">
                            Disband
                        </button>
                    </form>
                </p>

                {% if unit.status != 'not mobilized' and unit.location == request.hero.location %}
                    {% for conquest in conquests %}
                        <div class="well text-center">
                            <p>
                                Conquest of {{ conquest.tile }} by {{ conquest.organization.get_html_link|safe }}
                            </p>
                            <form class="form-inline" role="form" method="post" action="{% url 'unit:conquest_action' unit.id %}">
                                {% csrf_token %}
                                <input type="hidden" name="conqueror_id" value="{{ conquest.organization_id }}">
                                <input
                                        class="form-control"
                                        name="hours"
                                        type="number"
                                        min="1"
                                        placeholder="hours, max {{ request.hero.hours_in_turn_left }}"
                                        required="required"
                                >
                                <button
                                        name="action"
                                        value="support"
                                        type="submit"
                                        class="btn btn-primary btn-sm"
                                        onclick="return confirm('Are you sure?')"
                                >
                                    Support
                                </button>
                                <button
                                        name="action"
                                        value="counter"
                                        type="submit"
                                        class="btn btn-primary btn-sm"
                                        onclick="return confirm('Are you sure?')"
                                >
                                    Counter
                                </button>
                            </form>
                        </div>
                    {% endfor %}
                {% endif %}
            {% endif %}
        </div>
    </div>

    {% if unit.owner_character == request.hero %}
        <br>
        <div class="row">
            <div class="col-sm-12">
                <h4>Soldiers</h4>
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <td>Name, age</td>
                            <td>Health</td>
                            <td>Skill</td>
                            <td>Origin</td>
                            <td>Hunger</td>
                            <td>Actions</td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for soldier in unit.soldier.all %}
                            <tr>
                                <td>
                                    {{ soldier.get_health_icon }}
                                    {{ soldier }}
                                    ({{ soldier.get_age }})
                                    {% if not soldier.able %}
                                        <span class="label label-danger">
                                            disabled
                                        </span>
                                    {% endif %}
                                </td>
                                <td>
                                    {{ soldier.get_wound_status_display }}
                                </td>
                                <td>
                                    {{ soldier.get_skill_display }}
                                    {% if soldier.trained_soldier %}
                                        (trained soldier)
                                    {% endif %}
                                </td>
                                <td>
                                    {{ soldier.origin }}
                                </td>
                                <td>
                                    {{ soldier.get_hunger_display }}
                                </td>
                                <td>

                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>

        <div class="col-lg-3 col-md-6">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">Gender</h3></div>
                <div class="panel-body">
                    <canvas id="gender_chart"></canvas>
                    <script>
                        var ctx = $('#gender_chart');
                        var data = {
                            labels: [
                                {% for key,value in unit.soldier.gender_distribution.items %}
                                    "{{ key|capfirst }}",
                                {% endfor %}
                            ],
                            datasets: [
                                {
                                    data: [
                                        {% for key,value in unit.soldier.gender_distribution.items %}
                                            {{ value }},
                                        {% endfor %}
                                    ],
                                    backgroundColor: ["#3b3b3b", "#6e6e6e", ],
                                    hoverBackgroundColor: ["#3b3b3b",  "#6e6e6e", ]
                                }]
                        };
                        var my_gender_chart = new Chart(ctx,{type: 'pie', data: data, options: {}});
                    </script>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-6">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">Skill level</h3></div>
                <div class="panel-body">
                    <canvas id="skill_chart"></canvas>
                    <script>
                        var ctx = $('#skill_chart');
                        var data = {
                            labels: [
                                {% for key,value in unit.soldier.skill_distribution.items %}
                                    "{{ key|capfirst }}",
                                {% endfor %}
                            ],
                            datasets: [
                                {
                                    data: [
                                        {% for key,value in unit.soldier.skill_distribution.items %}
                                            {{ value }},
                                        {% endfor %}
                                    ],
                                    backgroundColor: ["#405840", "#595e2e", "#703b41"],
                                    hoverBackgroundColor: ["#405840", "#595e2e", "#703b41"],
                                }]
                        };
                        var my_skill_chart = new Chart(ctx,{type: 'pie', data: data, options: {}});
                    </script>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-6">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">Age</h3></div>
                <div class="panel-body">
                    <canvas id="age_chart"></canvas>
                    <script>
                        var ctx = $('#age_chart');
                        var data = {
                            labels: [
                                {% for key,value in unit.soldier.age_distribution.items %}
                                    "{{ key|capfirst }}",
                                {% endfor %}
                            ],
                            datasets: [
                                {
                                    data: [
                                        {% for key,value in unit.soldier.age_distribution.items %}
                                            {{ value }},
                                        {% endfor %}
                                    ],
                                    backgroundColor: ["#57292b", "#595e2e", "#282d59", "#405840", "#703b41"],
                                    hoverBackgroundColor: ["#57292b", "#595e2e", "#282d59", "#405840", "#703b41"],
                                }]
                        };
                        var my_age_chart = new Chart(ctx,{type: 'pie', data: data, options: {}});
                    </script>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-6">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">Professionality</h3></div>
                <div class="panel-body">
                    <canvas id="professionality_chart"></canvas>
                    <script>
                        var ctx = $('#professionality_chart');
                        var data = {
                            labels: [
                                {% for key,value in unit.soldier.professionality_distribution.items %}
                                    "{{ key|capfirst }}",
                                {% endfor %}
                            ],
                            datasets: [
                                {
                                    data: [
                                        {% for key,value in unit.soldier.professionality_distribution.items %}
                                            {{ value }},
                                        {% endfor %}
                                    ],
                                    backgroundColor: ["#3b3b3b", "#6e6e6e", ],
                                    hoverBackgroundColor: ["#3b3b3b", "#6e6e6e", ]
                                }]
                        };
                        var my_professionality_chart = new Chart(ctx,{type: 'pie', data: data, options: {}});
                    </script>
                </div>
            </div>
        </div>
    {% endif %}

{% endblock %}
